<?php

/**
 * The plugin bootstrap file
 *
 *
 * @link              https://plugins.db-dzine.com
 * @since             1.0.0
 * @package           WooCommerce_Attribute_Images
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Attribute Images
 * Plugin URI:        https://plugins.db-dzine.com/woocommerce-attribute-images/
 * Description:       Turn your Attributes into images with ease.
 * Version:           1.1.1
 * Author:            20script
 * Author URI:        https://www.20script.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       woocommerce-attribute-images
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-woocommerce-attribute-images-activator.php
 */
function activate_WooCommerce_Attribute_Images() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-attribute-images-activator.php';
	WooCommerce_Attribute_Images_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-woocommerce-attribute-images-deactivator.php
 */
function deactivate_WooCommerce_Attribute_Images() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-attribute-images-deactivator.php';
	WooCommerce_Attribute_Images_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_WooCommerce_Attribute_Images' );
register_deactivation_hook( __FILE__, 'deactivate_WooCommerce_Attribute_Images' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-attribute-images.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_WooCommerce_Attribute_Images() {

	$plugin_data = get_plugin_data( __FILE__ );
	$version = $plugin_data['Version'];

	$plugin = new WooCommerce_Attribute_Images($version);
	$plugin->run();

	return $plugin;

}

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

if ( is_plugin_active( 'woocommerce/woocommerce.php') && is_plugin_active('redux-framework/redux-framework.php')){
	$WooCommerce_Attribute_Images = run_WooCommerce_Attribute_Images();
} else {
	add_action( 'admin_notices', 'WooCommerce_Attribute_Images_Not_Installed' );
}

function WooCommerce_Attribute_Images_Not_Installed()
{
	?>
    <div class="error notice-warning settings-error notice is-dismissible">
      <p><?php _e( 'WooCommerce Attribute Images requires the WooCommerce & Redux Framework plugin. Please install or activate them before!', 'woocommerce-attribute-images'); ?></p>
      <button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
    </div>
    <?php
}